﻿<?xml version="1.0" encoding="utf-8"?>
<!--
This file is used by the publish/package process of your Web project. You can customize the behavior of this process
by editing this MSBuild file. In order to learn more about this please visit http://go.microsoft.com/fwlink/?LinkID=208121. 
-->
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <WebPublishMethod>MSDeploy</WebPublishMethod>
    <LastUsedBuildConfiguration>Release</LastUsedBuildConfiguration>
    <LastUsedPlatform>Any CPU</LastUsedPlatform>
    <SiteUrlToLaunchAfterPublish>http://laurentiu.azurewebsites.net</SiteUrlToLaunchAfterPublish>
    <LaunchSiteAfterPublish>True</LaunchSiteAfterPublish>
    <ExcludeApp_Data>False</ExcludeApp_Data>
    <MSDeployServiceURL>laurentiu.scm.azurewebsites.net:443</MSDeployServiceURL>
    <DeployIisAppPath>laurentiu</DeployIisAppPath>
    <RemoteSitePhysicalPath />
    <SkipExtraFilesOnServer>True</SkipExtraFilesOnServer>
    <MSDeployPublishMethod>WMSVC</MSDeployPublishMethod>
    <EnableMSDeployBackup>False</EnableMSDeployBackup>
    <UserName>$laurentiu</UserName>
    <_SavePWD>True</_SavePWD>
    <_DestinationType>AzureWebSite</_DestinationType>
    <PublishDatabaseSettings>
      <Objects>
        <ObjectGroup Name="DefaultConnection" Order="1" Enabled="False">
          <Destination Path="Data Source=tcp:xcr6lggmu1.database.windows.net,1433;Initial Catalog=laurentiu_db;User ID=laurentiu@xcr6lggmu1;Password=!QAZ2wsx#EDC4rfv" />
          <Object Type="DbCodeFirst">
            <Source Path="DBContext" DbContext="MSPWebPlatform.Models.ApplicationDbContext, MSPWebPlatform" Origin="Convention" />
          </Object>
        </ObjectGroup>
        <ObjectGroup Name="MSPDbContext" Order="2" Enabled="True">
          <Destination Path="Data Source=tcp:xcr6lggmu1.database.windows.net,1433;Initial Catalog=laurentiu_db;User ID=laurentiu@xcr6lggmu1;Password=!QAZ2wsx#EDC4rfv" />
          <Object Type="DbDacFx">
            <PreSource Path="Data Source=tcp:xcr6lggmu1.database.windows.net,1433;Initial Catalog=laurentiu_db;Persist Security Info=True;User ID=laurentiu@xcr6lggmu1;Password=!QAZ2wsx#EDC4rfv;Application Name=EntityFramework" includeData="False" />
            <Source Path="$(IntermediateOutputPath)AutoScripts\MSPDbContext_IncrementalSchemaOnly.dacpac" dacpacAction="Deploy" />
          </Object>
          <UpdateFrom Type="Web.Config">
            <Source MatchValue="metadata=res://*/MSPEntities.csdl|res://*/MSPEntities.ssdl|res://*/MSPEntities.msl;provider=System.Data.SqlClient;provider connection string=&quot;data source=tcp:xcr6lggmu1.database.windows.net,1433;initial catalog=laurentiu_db;persist security info=True;user id=laurentiu@xcr6lggmu1;password=!QAZ2wsx#EDC4rfv;MultipleActiveResultSets=True;App=EntityFramework&quot;" MatchAttributes="$(UpdateFromConnectionStringAttributes)" />
          </UpdateFrom>
        </ObjectGroup>
      </Objects>
    </PublishDatabaseSettings>
  </PropertyGroup>
  <ItemGroup>
    <MSDeployParameterValue Include="$(DeployParameterPrefix)DefaultConnection-Web.config Connection String">
      <ParameterValue>Data Source=tcp:xcr6lggmu1.database.windows.net,1433;Initial Catalog=laurentiu_db;User ID=laurentiu@xcr6lggmu1;Password=!QAZ2wsx#EDC4rfv</ParameterValue>
      <UpdateDestWebConfig>False</UpdateDestWebConfig>
    </MSDeployParameterValue>
    <MSDeployParameterValue Include="$(DeployParameterPrefix)MSPDbContext-Web.config Connection String">
      <ParameterValue>metadata=res://*/MSPEntities.csdl|res://*/MSPEntities.ssdl|res://*/MSPEntities.msl;provider=System.Data.SqlClient;provider connection string="data source=tcp:xcr6lggmu1.database.windows.net,1433;initial catalog=laurentiu_db;user id=laurentiu@xcr6lggmu1;password=!QAZ2wsx#EDC4rfv;MultipleActiveResultSets=True;App=EntityFramework"</ParameterValue>
    </MSDeployParameterValue>
  </ItemGroup>
  <ItemGroup>
    <_ConnectionStringsToInsert Include="DefaultConnection" />
  </ItemGroup>
</Project>